Name:		nfs-utils
Epoch:		1
Version:	1.1.3
Release:	%mkrel 8
Summary:	The utilities for Linux NFS server
Group:		Networking/Other
License:	GPL
URL:		http://sourceforge.net/projects/nfs/
Source0:	http://prdownloads.sourceforge.net/nfs/%{name}-%{version}.tar.gz
Source1:	ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.bz2
Source2:	nfs-common.init
Source3:	nfs-server.init
Source4:	nfs-common.sysconfig
Source5:	nfs-server.sysconfig
Source8:	nfsv4.schema
Source9:	gssapi_mech.conf
Source10:	idmapd.conf
Source11: 	bash-completion
Patch3:		nfs-utils-1.1.0-perms.patch
Patch52:	nfs-utils-1.0.6-idmap.conf.patch
Requires:	nfs-utils-clients = %{epoch}:%{version}-%{release}
# needed because of /etc/exports transfer
Conflicts:	setup < 2.7.8
Conflicts:	clusternfs
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	    tcp_wrappers
BuildRequires:	krb5-devel >= 1.3
BuildRequires:	libevent-devel
BuildRequires:	nfsidmap-devel >= 0.16
BuildRequires:	rpcsecgss-devel >= 0.12
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The nfs-utils package provides a daemon for the kernel NFS server
and related tools, which provides a much higher level of
performance than the traditional Linux NFS server used by most
users.

This package also contains the showmount program. Showmount
queries the mount daemon on a remote host for information about
the NFS (Network File System) server on the remote host. For
example, showmount can display the clients which are mounted on
that host.

%package	clients
Summary:	The utilities for Linux NFS client
Group:		Networking/Other
Requires:	portmapper
# needed because of service scripts and rpcdebug/nfsstat transfer
Conflicts:  nfs-utils < 1:1.1.2-3mdv
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description	clients
The nfs-utils package provides a daemon for the kernel NFS server
and related tools, which provides a much higher level of
performance than the traditional Linux NFS server used by most
users.

This package also contains the showmount program. Showmount
queries the mount daemon on a remote host for information about
the NFS (Network File System) server on the remote host. For
example, showmount can display the clients which are mounted on
that host.

%prep
%setup -q -a1 -n %{name}-%{version}

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%patch3 -p1 -b .perms
%patch52 -p1 -b .conf

cp %{SOURCE8} nfsv4.schema

%build
autoreconf
%serverbuild
%configure2_5x \
    --with-statedir=%{_localstatedir}/lib/nfs \
    --with-statduser=rpcuser \
    --enable-nfsv3 \
    --enable-nfsv4 \
    --enable-gss \
    --enable-secure-statd \
    --with-krb5=%{_prefix} \
    --disable-rquotad

make all

%install
rm -rf %{buildroot}

install -d %{buildroot}{/sbin,/usr/sbin}
install -d %{buildroot}%{_mandir}/{man5,man8}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_localstatedir}/lib/nfs/statd
install -d %{buildroot}%{_localstatedir}/lib/nfs/v4recovery
install -d %{buildroot}%{_localstatedir}/lib/nfs/sm

%make \
	DESTDIR=%{buildroot} \
	MANDIR=%{buildroot}%{_mandir} \
	SBINDIR=%{buildroot}%{_prefix}/sbin \
	install

install -m0755 tools/rpcdebug/rpcdebug %{buildroot}/sbin/
ln -snf rpcdebug %{buildroot}/sbin/nfsdebug
ln -snf rpcdebug %{buildroot}/sbin/nfsddebug

install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/nfs-common
install -m 755 %{SOURCE3} %{buildroot}%{_initrddir}/nfs-server
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/nfs-common
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/nfs-server

touch %{buildroot}%{_localstatedir}/lib/nfs/rmtab
mv %{buildroot}%{_sbindir}/rpc.statd %{buildroot}/sbin/

install -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/idmapd.conf
install -m 644 %{SOURCE9} %{buildroot}%{_sysconfdir}/gssapi_mech.conf
perl -pi -e "s|/usr/lib|%{_libdir}|g" %{buildroot}%{_sysconfdir}/gssapi_mech.conf
install -d %{buildroot}%{_localstatedir}/lib/nfs/rpc_pipefs

# nuke dupes
rm -f %{buildroot}%{_sbindir}/rpcdebug

cat >%{buildroot}%{_sysconfdir}/exports <<EOF
# /etc/exports: the access control list for filesystems which may be exported
#               to NFS clients.  See exports(5).
EOF

cat >README.1.1.0.upgrade.urpmi <<EOF
This release changed organisation of init scripts:
- rpcidmapd, rpcgssd and nfslock have been merged in nfs-common
- rpcsvcgssd and nfs have been merged in nfs-server
Individual daemons handled previously by those init scripts are now handled
automatically, according to current nfs configuration and to init scripts
configuration files /etc/sysconfig/nfs-common and /etc/sysconfig/nfs-server.
EOF

# manage documentation manually
install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 README README.1.1.0.upgrade.urpmi ChangeLog COPYING NEWS \
               nfs/*.html nfs/*.ps nfsv4.schema \
               %{buildroot}%{_docdir}/%{name}

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%post
%_post_service nfs-server
if [ $1 = 2 ]; then
    # handle upgrade from previous init script scheme
    if [ -f %{_initrddir}/nfs ]; then
        # map activation status of old script
        if [ `LC_ALL=C chkconfig --list nfs | cut -f 5` == '3:on' ]; then
            chkconfig --add nfs-server
        fi
        # don't leave dangling symlinks
        chkconfig --del nfs
    fi
    [ -f %{_initrddir}/rpcsvcgssd ] && chkconfig --del rpcsvcgssd
    # always finish with a true status, otherwise rpm barks
    /bin/true
fi

%create_ghostfile %{_localstatedir}/lib/nfs/xtab root root 644
%create_ghostfile %{_localstatedir}/lib/nfs/etab root root 644
%create_ghostfile %{_localstatedir}/lib/nfs/rmtab root root 644

%preun
%_preun_service nfs-server

%pre clients
%_pre_useradd rpcuser %{_localstatedir}/lib/nfs /bin/false

%post clients
%_post_service nfs-common
# restart nfs-server service if running
if [ -f /var/lock/subsys/nfs-server ]; then
    /sbin/service nfs-server restart > /dev/null 2>&1 || :
fi
if [ $1 = 2 ]; then
    # handle upgrade from previous init script scheme
    if [ -f %{_initrddir}/nfslock ]; then
        # map activation status of old script
        if [ `LC_ALL=C chkconfig --list nfslock | cut -f 5` == '3:on' ]; then
            chkconfig --add nfs-common
        fi
        # don't leave dangling symlinks
        chkconfig --del nfslock
    fi
    [ -f %{_initrddir}/rpcgssd ]   && chkconfig --del rpcgssd
    [ -f %{_initrddir}/rpcidmapd ] && chkconfig --del rpcidmapd
    # always finish with a true status, otherwise rpm barks
    /bin/true
fi

%preun clients
%_preun_service nfs-common

%postun clients
%_postun_userdel rpcuser

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/README*
%{_initrddir}/nfs-server
%config(noreplace) %{_sysconfdir}/sysconfig/nfs-server
%config(noreplace) %ghost %{_localstatedir}/lib/nfs/xtab
%config(noreplace) %ghost %{_localstatedir}/lib/nfs/etab
%config(noreplace) %ghost %{_localstatedir}/lib/nfs/rmtab
%config(noreplace) %{_sysconfdir}/exports
/sbin/nfsddebug
%{_sbindir}/exportfs
%{_sbindir}/rpc.mountd
%{_sbindir}/rpc.nfsd
%{_sbindir}/rpc.svcgssd
%{_mandir}/man5/exports.5*
%{_mandir}/man7/nfsd.7*
%{_mandir}/man8/exportfs.8*
%{_mandir}/man8/mountd.8*
%{_mandir}/man8/nfsd.8*
%{_mandir}/man8/rpc.mountd.8*
%{_mandir}/man8/rpc.nfsd.8*
%{_mandir}/man8/rpc.svcgssd.8*
%{_mandir}/man8/svcgssd.8*

%files clients
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/README*
%{_sysconfdir}/bash_completion.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/nfs-common
%{_initrddir}/nfs-common
/sbin/rpc.statd
/sbin/mount.nfs
/sbin/mount.nfs4
/sbin/umount.nfs
/sbin/umount.nfs4
/sbin/rpcdebug
/sbin/nfsdebug
%{_sbindir}/sm-notify
%{_sbindir}/start-statd
%{_sbindir}/showmount
%{_mandir}/man5/nfs.5*
%{_mandir}/man8/mount.nfs.8*
%{_mandir}/man8/rpc.sm-notify.8*
%{_mandir}/man8/sm-notify.8*
%{_mandir}/man8/umount.nfs.8*
%{_mandir}/man8/rpc.statd.8*
%{_mandir}/man8/statd.8*
%{_mandir}/man8/showmount.8*
%{_mandir}/man8/nfsstat.8*
%{_mandir}/man8/rpcdebug.8*
%dir %{_localstatedir}/lib/nfs
%dir %{_localstatedir}/lib/nfs/v4recovery
%dir %{_localstatedir}/lib/nfs/state
%dir %attr(0700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/sm
%dir %attr(0700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd
%config(noreplace) %{_sysconfdir}/idmapd.conf
%config(noreplace) %{_sysconfdir}/gssapi_mech.conf
%dir %{_localstatedir}/lib/nfs/rpc_pipefs
%{_sbindir}/nfsstat
%{_sbindir}/rpc.idmapd
%{_sbindir}/rpc.gssd
%{_sbindir}/gss_clnt_send_err
%{_sbindir}/gss_destroy_creds
%{_mandir}/man5/idmapd.conf.5*
%{_mandir}/man8/rpc.gssd.8*
%{_mandir}/man8/rpc.idmapd.8*
%{_mandir}/man8/gssd.8*
%{_mandir}/man8/idmapd.8*


%changelog
* Mon Apr 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-8mdv2009.0
+ Revision: 531849
- fix rpc.idmapd reloading in nfs-server init script

  + root <root>
    - Branching 2009.0 release for updates.

* Sun Sep 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.1.3-7mdv2009.0
+ Revision: 289001
- Add epoch to the conflict in an attempt to fix upgrade from 2008.1

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.3-6mdv2009.0
+ Revision: 288550
- fix deps

* Fri Sep 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-5mdv2009.0
+ Revision: 288517
- fix post-install scriptlet

* Thu Sep 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-4mdv2009.0
+ Revision: 288302
- restart nfs-server service after restarting nfs-common service on update (bug #44149)
- stricter dependency between nfs-utils and nfs-utils-client

* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-3mdv2009.0
+ Revision: 286184
- bash completion

* Sat Sep 06 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.1.3-2mdv2009.0
+ Revision: 282005
-Add conflicts to ease upgrade from Mdv 2008.1

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-1mdv2009.0
+ Revision: 270556
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.2-3mdv2009.0
+ Revision: 265198
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - move rpcdebug and nfsstat in client package

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.2-2mdv2009.0
+ Revision: 207041
- rebuilt against libevent-1.4.4

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version (no NFS4 patches available currently)

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-9mdv2009.0
+ Revision: 196530
- install all documentation files under /usr/share/doc/nfs-utils
- really fix rquotad binary name everywhere
- handle stop and status for rpc.rquotad, and fix binary name
- add missing quota support
- don't start nfs in runlevel 2 (Anssi)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.1-8mdv2008.1
+ Revision: 152817
+ rebuild (emptylog)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.1-7mdv2008.1
+ Revision: 152813
- remove useless kernel require

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 1:1.1.1-6mdv2008.1
+ Revision: 146559
- fix permissions in sm/ subdir so that statd can run as rpcuser instead of root

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.1-5mdv2008.1
+ Revision: 137567
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:1.1.1-4mdv2008.1
+ Revision: 119031
- patch55: mount.nfs should not try to update /etc/mtab if it is not writable

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-3mdv2008.1
+ Revision: 117538
- add RPCNFSD_OPTIONS in init script configuration
- no need to depend on network when already depending on portmap in initscripts
- make statd usage optional too, for pure nfs4 setup
- fix reload entry in server init script (bug #35655)

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:1.1.1-2mdv2008.1
+ Revision: 109205
- rebuild for new lzma

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-1mdv2008.1
+ Revision: 105882
- new version

* Fri Oct 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-11mdv2008.1
+ Revision: 95538
- return of the old chkconfig headers in initscript, to workaround several issues if chkconfig

* Wed Sep 26 2007 Olivier Blin <oblin@mandriva.com> 1:1.1.0-10mdv2008.0
+ Revision: 93088
- make mount.nfs readble for all users (so that it can be copied in drakx-installer-stage2 build)

* Sun Sep 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-9mdv2008.0
+ Revision: 92345
- fix README.urpmi file
- add README.upgrade.urpmi for describing init scripts setup
- ensure nfs is still enabled after upgrade (fix #32184)
- remove old headers, workaround is not needed as chkconfig --{add,del} is OK
- make nfs-server init script depends on nfs-common
- re-add old headers in init scripts (workaround for #33389)

* Wed Sep 12 2007 Anssi Hannula <anssi@mandriva.org> 1:1.1.0-7mdv2008.0
+ Revision: 84675
- remove obsolete README.urpmi, it was about already removed variables

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-6mdv2008.0
+ Revision: 81172
- spec cleanup
- fix build with gssglue
  drop unused patches
  drop conditional build without tcpwrapper
- drop dependency on gssapi-devel, rpcsecgss-devel already requires it
- add missing dependency on

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-5mdv2008.0
+ Revision: 78415
- add  facility to server init script (#28589)
- allow init script gprintification

* Thu Aug 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-4mdv2008.0
+ Revision: 70148
- fix a bug in /etc/fstab reading in initscripts (fix #7406)

* Mon Aug 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-3mdv2008.0
+ Revision: 67206
- make sure %%post scripts always return a true exit status

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-2mdv2008.0
+ Revision: 66829
- fix dangling symlinks issue on upgrade
- add missing %%{_localstatedir}/nfs/sm (fix #32440)

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-1mdv2008.0
+ Revision: 56033
- drop nfs4 conditional build, useless complexity
- switch to simpler debian-based initscripts
- requires portmapper virtual package, not rpcbind, and only for client, as server requires it
- no more need to call autogen before configure
- new NFS4 patchset
- new version, dropping all merged patches

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.12-15mdv2008.0
+ Revision: 43208
- use serverbuild macro

* Thu Apr 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.12-14mdv2008.0
+ Revision: 15034
- use rpcbind instead of portmap


* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.12-13mdv2007.1
+ Revision: 147007
- yet another client-side file issue

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-12mdv2007.1
+ Revision: 146967
- fix more typos in init script reload() function

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-11mdv2007.1
+ Revision: 146877
- move %%{_localstatedir}/nfs/rpc_pipefs on client side, as it is needed by rpc.idmapd

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 1:1.0.12-10mdv2007.1
+ Revision: 146584
- /etc/exports upgrade is now safely handled in package setup

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix typo

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 1:1.0.12-9mdv2007.1
+ Revision: 144426
- fix typos in lock file paths

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-8mdv2007.1
+ Revision: 143407
- drop merged nfs4 patches
- additional notes about upgrade in README.urpmi
- minor spec cleanup
- don't check keytab in rpcsvcgssd service, because it would force a dependecy on krb5-workstation package
- renumber nfs4 patches as upstream, to make tracking easier
- use versioned conflicts, rather than versioned requires, to handle relationship with setup and server-clients packages

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-7mdv2007.1
+ Revision: 138954
- set a versioned requires on nfs-utils-client, to avoid conflicts on services script during upgrade (thx tv)
  cleanup old conflicts and dependencies

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-6mdv2007.1
+ Revision: 138786
- fix %%post/%%pre, as some services have been moved between client and server package
- mv /etc/exports from setup to this package
- move more nfs4 clients files to clients subpackage
- clean up all init scripts:
- remove useless tests on binary presence
- use consistant syntax and indentation
- use functions to avoid useless forks
- replace non-standard 'condstart' actions by 'reload'
- use lock files to prevent double start
- make nfs4 init scripts really use variables defined in /etc/sysconfig/nfs
- make nfs4 init scripts not depending on SECURE_NFS variable,
  they are supposed to be used on client side only
- make nfs service really fails if /etc/exports is missing
- change nfs service to handle nfs4 services if configured to do so
- change nfs service to launch nfsd after mountd

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-5mdv2007.1
+ Revision: 138345
- really revert my changes in init script, not just in my working directory...

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-4mdv2007.1
+ Revision: 137845
- mv /etc/sysconfig/nfs in client subpackage
- use functions to avoid forking new process uselessly for restart
  use global variables for lockfile location
- various cleanups:
- constant indentation
- set default values before sourcing configuration
- drop useless tests
- don't manage activation dependencies in init script, that's chkconfig task

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-3mdv2007.1
+ Revision: 134577
- no need to specify perms in file section if they are already correct
- rpcidmapd and rpcgssd are client tools

* Thu Mar 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-2mdv2007.1
+ Revision: 130570
- no reason for a mandatory dependency on kerberos tools just because it is supported

* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.0.12-1mdv2007.1
+ Revision: 126372
- reapply patch for nfsv4, clean up the old one
- 1.0.12

* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-2mdv2007.1
+ Revision: 111853
- rebuilt with new librpcsecgss (soname 3)
- added latest CITI patch for nfs-utils

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-1mdv2007.1
+ Revision: 86807
- updated to version 1.0.10

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-4mdv2007.1
+ Revision: 63384
- bunzip sources
- Import nfs-utils

* Fri Sep 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-3mdv2007.0
- don't use the kerberos releated parts per default (#25704), it also 
  eliminates failure ([FAIL]) on the support services when rebooting.
  added a README.urpmi file that mentions this.

* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 1.0.9-2mdv2007.0
- make the nfs service return nfsd status (#23442)

* Sun Jul 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-1mdv2007.0
- 1.0.9
- drop upstream patches; P55,P152

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-4mdv2007.0
- fix #19059 in S4

* Fri Jun 09 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-3mdv2007.0
- add patch nfs-utils-1.0.8-err_util.patch (Andreas Hasenack)
- sec=krb5 works now

* Thu Jun 08 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-2mdv2007.0
- Fix rpc.mountd start in initscript (Bug 22979)

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-1mdv2007.0
- 1.0.8
- drop upstream patches; P53,P56
- rediffed P100
- enable NFSV4 and tcp_wrappers per default
- fix deps
- don't start rpcsvcgssd if nfs is not setup in kerberos (Andreas Hasenack)

* Sat Feb 04 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.8-0.rc2.4mdk
- remove spurious "Shutting down NFS mountd: " message
  in nfs service status (Source2)

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.0.8-0.rc2.3mdk
- Ada /var/lib/nfs/v4recovery directory to nfs-utils-clients package

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-0.rc2.2mdk
- fix deps

* Sat Jan 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-0.rc2.1mdk
- 1.0.8-rc2
- sync fedora patches (1.0.8-1)
- drop patch 0
- drop patch 2, replaced by patch 100
- drop patch 10-16, 20-27
- disable patch 40, 150, 151

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.7-10mdk
- fix typo in initscripts

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-9mdk
- convert parallel init to LSB (Sources 2, 4, 6, 7, 8, ouch)
- split Requires(X,Y)

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-8mdk
- parallel init support

* Tue Dec 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.7-7mdk
- Remove patch200 (CAN-2004-1014) merged in post6 (patch16)
- Remove patch201 (CAN-2004-0946) merged in post5 (patch15)
- sync patches with 1.0.7-19.FC5

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1:1.0.7-6mdk
- conflicts with clusternfs

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-5mdk
- use separate sources for initscripts and such (for cvs tracking)
- synced with fedora (P25)
- added P26,P27,P27 from fedora
- added one gcc4 patch (P50, gentoo)
- use the %%mkrel macro
- use new rpm-4.4.x pre,post magic

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.0.7-4mdk
- synced sysv scripting with fedora and added P20-P25 (nfs-utils-1.0.7-1)
- misc rpmlint fixes

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- make sure portmap is running (nfs)

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- fix deps
- make sure portmap is running (nfslock)

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7 
- rediffed the CAN-2004-1014 patch (P200, parts of it was applied)
- merge nfs4-utils-1.0.6-3mdk into this package but use --with
  build options instead
- drop obsolete patches and reorder them
- added P3
- added P200 (CAN-2004-0946, even though we don't build rpcquotad
  apply the patch anyway)
- fix deps

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-3mdk
- merged with 1.0.6-2.1.101mdk

* Wed Sep 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-2mdk
- spec file cleanup

